package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.annotation.Loggable;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.Nsvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 786水泵房
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Zmlysjk {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @Loggable("/zmlysjk")
    @PostMapping("/zmlysjk")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyzmlysjk");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();


        List<Nsvo<String>> list = new ArrayList<>();
        list.add(new Nsvo<>("101皮带",readResultsList.get(0).getV()));
        list.add(new Nsvo<>("1号皮带",readResultsList.get(1).getV()));
        List<Npvo<String>> paramsList = new ArrayList<>();
        paramsList.add(new Npvo<>("1#原煤仓液位",readResultsList.get(2).getV()+"米"));
        paramsList.add(new Npvo<>("1#原煤仓容量",readResultsList.get(3).getV()+"吨"));
        paramsList.add(new Npvo<>("2#原煤仓液位",readResultsList.get(4).getV()+"米"));
        paramsList.add(new Npvo<>("2#原煤仓容量",readResultsList.get(5).getV()+"吨"));
        paramsList.add(new Npvo<>("3#原煤仓液位",readResultsList.get(6).getV()+"米"));
        paramsList.add(new Npvo<>("3#原煤仓容量",readResultsList.get(7).getV()+"吨"));
        List<String> tableHead = new ArrayList<>();
        tableHead.add("名称");
        tableHead.add("参数/状态");
        List<Npvo<List<Npvo<List<String>>>>> paramsList1 = new ArrayList<>();
        List<Npvo<List<String>>> params = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(8).getV()+"V");
        params.add(new Npvo<>("101皮带终端电压",var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(9).getV()+"m/s");
        params.add(new Npvo<>("101号皮带速度", var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(10).getV()+"m/s");
        params.add(new Npvo<>("101号皮带全线速度给定", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(11).getV()+"Mpa");
        params.add(new Npvo<>("101号皮带闸盘压力", var4));
        paramsList1.add(new Npvo<>("101皮带",params));
        List<Npvo<List<String>>> params1 = new ArrayList<>();
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(12).getV()+"℃");
        params1.add(new Npvo<>("一楼滚筒温度", var5));
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(13).getV()+"℃");
        params1.add(new Npvo<>("二楼滚筒温度", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(14).getV()+"m/s");
        params1.add(new Npvo<>("一号皮带速度", var7));
        List<String> var8 = new ArrayList<>();
        var8.add(readResultsList.get(15).getV()+"Mpa");
        params1.add(new Npvo<>("一号皮带张紧压力", var8));
        List<String> var9 = new ArrayList<>();
        var9.add(readResultsList.get(16).getV());
        params1.add(new Npvo<>("一号闭锁数量", var9));
        List<String> var10 = new ArrayList<>();
        var10.add(readResultsList.get(17).getV()+"V");
        params1.add(new Npvo<>("一号皮带终端电压", var10));
        paramsList1.add(new Npvo<>("1号皮带",params1));
        List<Npvo<List<Nsvo<Integer>>>> paramsList2 = new ArrayList<>();
        List<Nsvo<Integer>> params2 = new ArrayList<>();
        params2.add(new Nsvo<>("1号闭锁",1));
        params2.add(new Nsvo<>("2号闭锁",1));
        params2.add(new Nsvo<>("3号闭锁",1));
        params2.add(new Nsvo<>("4号闭锁",1));
        params2.add(new Nsvo<>("5号闭锁",1));
        params2.add(new Nsvo<>("6号闭锁",1));
        params2.add(new Nsvo<>("7号闭锁",1));
        params2.add(new Nsvo<>("8号闭锁",1));
        params2.add(new Nsvo<>("1号皮带跑偏",1));
        params2.add(new Nsvo<>("2号皮带跑偏",1));
        params2.add(new Nsvo<>("3号皮带跑偏",1));
        params2.add(new Nsvo<>("1号皮带纵撕",1));
        params2.add(new Nsvo<>("皮带洒水阀",1));
        params2.add(new Nsvo<>("1号皮带堆煤",1));
        params2.add(new Nsvo<>("1号皮带烟雾",1));
        paramsList2.add(new Npvo<>("101皮带",params2));
        List<Nsvo<Integer>> params3 = new ArrayList<>();
        params3.add(new Nsvo<>("1号闭锁",1));
        params3.add(new Nsvo<>("2号闭锁",1));
        params3.add(new Nsvo<>("3号闭锁",1));
        params3.add(new Nsvo<>("4号闭锁",1));
        params3.add(new Nsvo<>("5号闭锁",1));
        params3.add(new Nsvo<>("6号闭锁",1));
        params3.add(new Nsvo<>("7号闭锁",1));
        params3.add(new Nsvo<>("8号闭锁",1));
        params3.add(new Nsvo<>("9号闭锁",1));
        params3.add(new Nsvo<>("10号闭锁",1));
        params3.add(new Nsvo<>("11号闭锁",1));
        params3.add(new Nsvo<>("12号闭锁",1));
        params3.add(new Nsvo<>("13号闭锁",1));
        params3.add(new Nsvo<>("14号闭锁",1));
        params3.add(new Nsvo<>("15号闭锁",1));
        params3.add(new Nsvo<>("16号闭锁",1));
        params3.add(new Nsvo<>("17号闭锁",1));
        params3.add(new Nsvo<>("18号闭锁",1));
        params3.add(new Nsvo<>("19号闭锁",1));
        params3.add(new Nsvo<>("20号闭锁",1));
        params3.add(new Nsvo<>("21号闭锁",1));
        params3.add(new Nsvo<>("22号闭锁",1));
        params3.add(new Nsvo<>("23号闭锁",1));
        params3.add(new Nsvo<>("24号闭锁",1));
        params3.add(new Nsvo<>("25号闭锁",1));
        params3.add(new Nsvo<>("26号闭锁",1));
        params3.add(new Nsvo<>("27号闭锁",1));
        params3.add(new Nsvo<>("28号闭锁",1));
        params3.add(new Nsvo<>("29号闭锁",1));
        params3.add(new Nsvo<>("30号闭锁",1));
        params3.add(new Nsvo<>("31号闭锁",1));
        params3.add(new Nsvo<>("32号闭锁",1));
        params3.add(new Nsvo<>("33号闭锁",1));
        params3.add(new Nsvo<>("34号闭锁",1));
        params3.add(new Nsvo<>("35号闭锁",1));
        params3.add(new Nsvo<>("36号闭锁",1));
        params3.add(new Nsvo<>("37号闭锁",1));
        params3.add(new Nsvo<>("38号闭锁",1));
        params3.add(new Nsvo<>("39号闭锁",1));
        params3.add(new Nsvo<>("40号闭锁",1));
        params3.add(new Nsvo<>("41号闭锁",1));
        params3.add(new Nsvo<>("皮带洒水阀",1));
        params3.add(new Nsvo<>("1号皮带烟雾",1));
        params3.add(new Nsvo<>("1号皮带堆煤",1));
        params3.add(new Nsvo<>("2号皮带堆煤",1));
        params3.add(new Nsvo<>("1号皮带纵撕",1));
        params3.add(new Nsvo<>("2号皮带纵撕",1));
        params3.add(new Nsvo<>("3号皮带纵撕",1));
        params3.add(new Nsvo<>("4号皮带纵撕",1));
        params3.add(new Nsvo<>("5号皮带纵撕",1));
        params3.add(new Nsvo<>("6号皮带纵撕",1));
        params3.add(new Nsvo<>("1号皮带跑偏",1));
        params3.add(new Nsvo<>("2号皮带跑偏",1));
        params3.add(new Nsvo<>("3号皮带跑偏",1));
        params3.add(new Nsvo<>("4号皮带跑偏",1));
        params3.add(new Nsvo<>("5号皮带跑偏",1));
        params3.add(new Nsvo<>("6号皮带跑偏",1));
        params3.add(new Nsvo<>("7号皮带跑偏",1));
        params3.add(new Nsvo<>("8号皮带跑偏",1));
        params3.add(new Nsvo<>("9号皮带跑偏",1));
        paramsList2.add(new Npvo<>("1号皮带",params3));


        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("paramsList",paramsList);
        result.put("tableHead",tableHead);
        result.put("paramsList1",paramsList1);
        result.put("paramsList2",paramsList2);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
